Subject: Re: [RFC][PATCH]Kprobes for PPC32(BOOKE)

From: [email-masked]
Date: Mon, 23 Apr 2007 19:36:24 +0500

Hi Kumar,

Kumar Gala <[email-masked]> wrote on Saturday, April 21, 2007 1:04 am
> 
> On Apr 20, 2007, at 2:24 AM, [email-masked] wrote:
> 
> > Hi Kumar,
> >
> > This is regarding the kprobes patches for
> > PPC32 BOOKE version. The attached patches
> > contain the implementation for this version.
> >
> > I saw your earlier postings and commits to 2.6.21
> > regarding kprobes for PPC32. Since the single
> > step mechanism in BookE is quite different, I
> > thought i can share some of the issues faced
> > in this implementation and get your review
> > feedback for those patches.
> 
> I'd love to review these patches.  Is there any possibility that I  
> could get you to build them for arch/powerpc on top of David 
> Gibson's  
> port of ebony to arch/powerpc.
> 
> http://ozlabs.org/pipermail/linuxppc-dev/2007-April/034483.html
> 
> I dont see much value in adding kprobes into arch/ppc and have been 
> 
> trying to push any 'new' functionality get added to arch/powerpc 
> and  
> only bug fixes to arch/ppc.
Thanks for taking interest in reviewing my patches.
I understand the recent discussions in merging ppc to
powerpc and now i can as well start merging my patches
to powerpc.  I will repost my patches after this, but if you find
any bugs in my code, please let me know.

-Madhvesh